namespace Sets;

class Program
{
    static void Main()
    {
        ShowEachDistinctString(new[] { "Witja, świecie!", "Witaj", "świecie!", "Cześć" });
    }

    public static void ShowEachDistinctString(IEnumerable<string> strings)
    {
        var shown = new HashSet<string>();  // Implementuje ISet<T>
        foreach (string s in strings)
        {
            if (shown.Add(s))
            {
                Console.WriteLine(s);
            }
        }
    }
}
